
#include <Arduino.h>
#include <LittleFS.h>
#include "FS.h"

#include "AudioFileSourceFS.h"
#include "AudioGeneratorMP3.h"
#include "AudioOutputI2S.h"

#define   bck  27     //default 26    
#define   lck  25     //default 25  
#define   din  26     //default 22 

void setup() {
    Serial.begin(115200);
    delay(1000);

    // Initialise FS
    if (!LittleFS.begin()) {
      Serial.println("LittleFS initialisation failed!");
      while (1) yield(); // Stay here twiddling thumbs waiting
    }
}

void loop() {
  AudioGeneratorMP3       *mp3;
  AudioFileSourceFS       *file;
  AudioOutputI2S          *out;

    out = new AudioOutputI2S();
    out->SetPinout(bck, lck, din);
    out->SetGain(0.5);
    
    mp3 = new AudioGeneratorMP3();

    Serial.println("Start");
    file = new AudioFileSourceFS(LittleFS, "/Harp.mp3");
    mp3->begin(file, out);
    while(mp3->isRunning()){
      if (!mp3->loop()){
        mp3->stop();
        delete file;
        Serial.println("Done");
      }
    }

    delay(1000);
}
